Package org.apache.catalina.valves.rewrite

# Class RewriteCond.LexicalCondition

java.lang.Object
org.apache.catalina.valves.rewrite.RewriteCond.Condition
org.apache.catalina.valves.rewrite.RewriteCond.LexicalCondition

Enclosing class:
  RewriteCond

public static class RewriteCond.LexicalCondition extends RewriteCond.Condition

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `condition`
  `int`
  `type`
  -1: < 0: = 1: >

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LexicalCondition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `evaluate(String value, Resolver resolver)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### type

    public int type
    -1: < 0: = 1: >

  - ### condition

    public String condition

- ## Constructor Details

  - ### LexicalCondition

    public LexicalCondition()

- ## Method Details

  - ### evaluate

    public boolean evaluate(String value, Resolver resolver)
    Specified by:
      `evaluate` in class `RewriteCond.Condition`